mtext_ncpy(3m17n)

NAME
mtext_ncpy - Copy the first some characters in an M-text to another.

SYNOPSIS
MText* mtext_ncpy (MText * mt1, MText * mt2, int n)

DESCRIPTION
Copy the first some characters in an M-text to another.

The mtext_ncpy() function copies the first n characters of M-text mt2 to M-text mt1 while inheriting all the text properties. If the length of mt2 is less than n, all characters of mt2 are copied. The old text in mt1 is overwritten and the length of mt1 is extended if necessary. mt2 is not modified.

RETURN VALUE

    If the operation was successful, mtext_ncpy() returns a pointer to the resulting M-text mt1. If an error is detected, it returns NULL and assigns an error code to the global variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_cpy(), mtext_copy()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.